// UIRegsvr32Dlg.h : header file
//

#if !defined(AFX_UIREGSVR32DLG_H__C568600A_443E_11D4_B8C4_F23FEFAB9556__INCLUDED_)
#define AFX_UIREGSVR32DLG_H__C568600A_443E_11D4_B8C4_F23FEFAB9556__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUIRegsvr32Dlg dialog
#include "MyToolTip.h"

class CUIRegsvr32Dlg : public CDialog
{
// Construction
public:
	CUIRegsvr32Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUIRegsvr32Dlg)
	enum { IDD = IDD_UIREGSVR32_DIALOG };
	CString	m_edit;
	int		m_bUnRegister;
	BOOL	m_bConsoleOutput;
	BOOL	m_bSilent;
	BOOL	m_bShowCommandLine;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUIRegsvr32Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON  m_hIcon;
	CMyToolTip  tip;
	CListBox  m_list;
	CString strRegSvr32Path;

	void initTips();
	void initState();
	void FormulateCommand(LPCTSTR lpszPathName);
	void FormulateCommand(CStringArray &refArr);

	// Generated message map functions
	//{{AFX_MSG(CUIRegsvr32Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCmdline();
	afx_msg void OnButtonhelp();
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnAdd();
	afx_msg void OnDeleteall();
	afx_msg void OnDelete();
	afx_msg void OnAction();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UIREGSVR32DLG_H__C568600A_443E_11D4_B8C4_F23FEFAB9556__INCLUDED_)
