#if !defined(AFX_WINDOWTIP_H__6FBABB23_1EA6_11D4_B8C4_D3B38107175D__INCLUDED_)
#define AFX_WINDOWTIP_H__6FBABB23_1EA6_11D4_B8C4_D3B38107175D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WindowTip.h : header file
//

#pragma once
/////////////////////////////////////////////////////////////////////////////
// CWindowTip window

class CWindowTip : public CWnd
{
// Construction
public:
	CWindowTip();
	~CWindowTip();
	BOOL Create( CWnd* pParentWnd, UINT nID=0,BOOL bHidePrevTip=TRUE);
	BOOL SetText(LPCTSTR lpszText,int xPos=-1,int yPos=-1);

// Overrides
	//{{AFX_VIRTUAL(CWindowTip)
	public:
	virtual void PostNcDestroy();
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CWindowTip)
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	BOOL StartWindow(int xPos,int yPos);
	BOOL EndWindow();
protected:
	CPoint GetProperWindowPos(const CSize m_RequestedSize);
	CSize  GetWindowSize(LPCTSTR strText);

	void JustifyText(CPaintDC *pDC,LPCTSTR lpszText , CRect *pRect,int iAlign);

protected:
	BOOL  CreateTimer();
	BOOL  StopTimer();
protected:
	CFont	m_font;		// font to use (same as tooltips)
	UINT	m_nStyle;	// style (see enum below)
	CSize  m_szMargins;	// extra space around text: change if you like
	CSize  m_ScreenSize;
	CString strText;
	BOOL   bHidePrevTip;
	int   m_iAlignment;
	
	static CWindowTip *m_pWndPrevTip;
	void SetLastWindow() {
		m_pWndPrevTip = this;
	}
	void HidePrevWindow() {
		if ((m_pWndPrevTip) && (::IsWindow(m_pWndPrevTip->m_hWnd)) && (m_pWndPrevTip!=this))
			m_pWndPrevTip->EndWindow();
	}

//////////////// Timers and Counters ...
	UINT uTimerID;
	int iElapedTime;
	int iTimeOfTip;
////////////////////
private:
	CString strClassName; //class name
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINDOWTIP_H__6FBABB23_1EA6_11D4_B8C4_D3B38107175D__INCLUDED_)
