// ShellExecuter.h: interface for the CShellExecuter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHELLEXECUTER_H__1EBCE8C8_28DC_11D4_B8C4_F69B458F9D5C__INCLUDED_)
#define AFX_SHELLEXECUTER_H__1EBCE8C8_28DC_11D4_B8C4_F69B458F9D5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CShellExecuter  
{
public:
	CShellExecuter();
	~CShellExecuter();

	static BOOL Navigate(CString strShellPath,BOOL bShowError = FALSE);
	static BOOL Command(CString strCommand,BOOL bShowError = FALSE);
	static BOOL CreateFileCommand(CString strShellCommand,CString strExtension,BOOL bShowError = TRUE);
	static BOOL Print(CString strShellPath,BOOL bShowError = FALSE);

	static BOOL Run(LPCTSTR lpszCommand);
	static void Error( UINT hHinstanceCode);
protected:
	static BOOL Exec(LPCTSTR lpszVerb,LPCTSTR lpszCommand,LPCTSTR lpszParams,BOOL bShowError = FALSE);

};

#endif // !defined(AFX_SHELLEXECUTER_H__1EBCE8C8_28DC_11D4_B8C4_F69B458F9D5C__INCLUDED_)
