// UIRegsvr32Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "UIRegsvr32.h"
#include "UIRegsvr32Dlg.h"
#include "Registry.h"
#include "ShellExecuter.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About


class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUIRegsvr32Dlg dialog

CUIRegsvr32Dlg::CUIRegsvr32Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUIRegsvr32Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUIRegsvr32Dlg)
	m_edit = _T("");
	m_bUnRegister = 0;
	m_bConsoleOutput = FALSE;
	m_bSilent = FALSE;
	m_bShowCommandLine = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CUIRegsvr32Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUIRegsvr32Dlg)
	DDX_Text(pDX, IDC_EDITCOMMANDLINE, m_edit);
	DDX_Radio(pDX, IDC_REGISTER, m_bUnRegister);
	DDX_Check(pDX, IDC_CONSOLEOUTPUT, m_bConsoleOutput);
	DDX_Check(pDX, IDC_SILENT, m_bSilent);
	DDX_Check(pDX, IDC_CMDLINE, m_bShowCommandLine);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CUIRegsvr32Dlg, CDialog)
	//{{AFX_MSG_MAP(CUIRegsvr32Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_CMDLINE, OnCmdline)
	ON_BN_CLICKED(IDC_BUTTONHELP, OnButtonhelp)
	ON_WM_DROPFILES()
	ON_BN_CLICKED(IDC_ADD, OnAdd)
	ON_BN_CLICKED(IDC_DELETEALL, OnDeleteall)
	ON_BN_CLICKED(IDC_DELETE, OnDelete)
	ON_BN_CLICKED(IDC_ACTION, OnAction)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUIRegsvr32Dlg message handlers

BOOL CUIRegsvr32Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	if (tip.Create(this)) initTips();
	initState();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CUIRegsvr32Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CUIRegsvr32Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CUIRegsvr32Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
void CUIRegsvr32Dlg::initState()
{
	GetDlgItem(IDC_EDITCOMMANDLINE)->EnableWindow(m_bShowCommandLine);
	m_list.SubclassDlgItem(IDC_LIST,this);

	CRegistry reg;
	TCHAR  lpszSysDir[MAX_PATH*2],lpszShortPath[MAX_PATH*2+1];
	::GetSystemDirectory(lpszSysDir,MAX_PATH*2);
	strRegSvr32Path = (LPCTSTR) lpszSysDir;
	reg.Trim(&strRegSvr32Path);
	reg.AppendPath(&strRegSvr32Path,_T("regsvr32.exe"));
	::GetShortPathName(lpszSysDir,lpszShortPath,MAX_PATH*2);

	DragAcceptFiles();
}

void CUIRegsvr32Dlg::initTips()
{
	CWnd *pWnd = NULL;
	pWnd = GetDlgItem(IDC_REGISTER);
	tip.AddToolTip(pWnd , IDS_REGISTER);
	pWnd = GetDlgItem(IDC_UNREGISTER);
	tip.AddToolTip(pWnd , IDS_UNREGISTER);

	pWnd = GetDlgItem(IDC_SILENT);
	tip.AddToolTip(pWnd , IDS_SILENT);
	pWnd = GetDlgItem(IDC_CONSOLEOUTPUT);
	tip.AddToolTip(pWnd ,IDS_CONSOLEOUTPUT );
	
	pWnd = GetDlgItem(IDC_CMDLINE);
	tip.AddToolTip(pWnd ,IDS_CMDLINE );
	pWnd = GetDlgItem(IDC_EDITCOMMANDLINE);
	tip.AddToolTip(pWnd , IDS_EDITCOMMANDLINE);
	
	pWnd = GetDlgItem(IDC_BUTTONHELP);
	tip.AddToolTip(pWnd , IDC_BUTTONHELP);
	pWnd = GetDlgItem(IDC_ACTION);
	tip.AddToolTip(pWnd ,IDS_ACTION );
	
	pWnd = GetDlgItem(IDC_ADD);
	tip.AddToolTip(pWnd ,IDS_ADD );
	pWnd = GetDlgItem(IDC_DELETEALL);
	tip.AddToolTip(pWnd ,IDS_DELETEALL );

	pWnd = GetDlgItem(IDC_DELETE);
	tip.AddToolTip(pWnd ,IDS_DELETE );
	pWnd = GetDlgItem(IDC_LIST);
	tip.AddToolTip(pWnd ,IDS_LIST );

}

LRESULT CUIRegsvr32Dlg::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	tip.RelayMessage(message, wParam, lParam);

	return CDialog::WindowProc(message, wParam, lParam);
}

void CUIRegsvr32Dlg::OnCmdline() 
{
	m_bShowCommandLine = (m_bShowCommandLine) ? FALSE : TRUE ;
//CString s;
//s.Format("bool=%u",m_bShowCommandLine);
//msg(s);
	if (!m_bShowCommandLine) 
		GetDlgItem(IDC_EDITCOMMANDLINE)->SetWindowText(NULL);
	GetDlgItem(IDC_EDITCOMMANDLINE)->EnableWindow(m_bShowCommandLine);

}

void CUIRegsvr32Dlg::OnButtonhelp() 
{
//msg(strRegSvr32Path,"strRegSvr32Path");
	CShellExecuter::Navigate(strRegSvr32Path);
}

void CUIRegsvr32Dlg::OnDropFiles(HDROP hDropInfo) 
{
	int iCount = ::DragQueryFile(hDropInfo,(UINT)-1,NULL,0);
	
	TCHAR szFile[MAX_PATH*2];
	for (int i=0 ; i<iCount ; i++) {
		memset(szFile,0,sizeof(szFile));
		::DragQueryFile(hDropInfo,i,szFile,sizeof(szFile)/sizeof(TCHAR));
		CString str = (LPCTSTR) szFile;
		if (!str.IsEmpty())
			m_list.AddString((LPCTSTR)str);
	}

	CDialog::OnDropFiles(hDropInfo);
}

void CUIRegsvr32Dlg::OnAdd() 
{
	CString strFilter="Dynamic Link Libraries (*.dll)|*.dll|All Files (*.*)|*.*||";
	TCHAR buff[MAX_PATH*40+1];
	memset(buff,0,sizeof(buff));

    CFileDialog  dlg(TRUE,_T(".dll"),NULL,OFN_HIDEREADONLY | 
		 OFN_OVERWRITEPROMPT | OFN_FILEMUSTEXIST,
		 (LPCTSTR)strFilter,this); 
    dlg.m_ofn.lpstrTitle=_T("Open Library Files");
	dlg.m_ofn.Flags |= OFN_ALLOWMULTISELECT;
	dlg.m_ofn.lpstrFile = buff;
	dlg.m_ofn.nMaxFile = MAX_PATH*40;

	CString path;
	if (dlg.DoModal() == IDOK) {
		POSITION pos = dlg.GetStartPosition() ;
		while (pos) {
			path = dlg.GetNextPathName(pos);
			if (!path.IsEmpty())
				m_list.AddString((LPCTSTR)path);
		}
	}

}

void CUIRegsvr32Dlg::OnDeleteall() 
{
	m_list.ResetContent();
}

void CUIRegsvr32Dlg::OnDelete() 
{
	int iCount = m_list.GetCount();
	for (int i=0; i<iCount ;i++) {
		while (i<0) i++;
		int bSelected = m_list.GetSel(i);
		if ((bSelected>0) && (bSelected!=LB_ERR)) {
			m_list.DeleteString((UINT) i);
			iCount = m_list.GetCount();
			i--;
		}
	}

}

void CUIRegsvr32Dlg::FormulateCommand(LPCTSTR lpszPathName)
{
	if (!lpszPathName)  return;
	UpdateData(TRUE);//to variables

	TCHAR lpszShortPathName[MAX_PATH+1];//you can increase the offered path
	memset(lpszShortPathName, 0, sizeof(lpszShortPathName));
	::GetShortPathName( lpszPathName, lpszShortPathName, MAX_PATH);

	CString strCommand = strRegSvr32Path;

	if (m_bUnRegister)	strCommand += _T(" /u");
	if (m_bSilent)		strCommand += _T(" /s");
	if (m_bConsoleOutput)	strCommand += _T(" /c");

	if (m_bShowCommandLine) {
		CString param;
		GetDlgItem(IDC_EDITCOMMANDLINE)->GetWindowText(param);
		if (!param.IsEmpty()) {
			strCommand += _T(" /i:");
			strCommand += param;
		}
	}

	strCommand += _T(" ");
	strCommand += (LPCTSTR)lpszShortPathName;
	CShellExecuter::Run(strCommand);

}
void CUIRegsvr32Dlg::FormulateCommand(CStringArray &refArr)
{
	for (int iCount = refArr.GetSize() , i=0; i<iCount ; i++) {
		CString path = refArr.GetAt(i);
		FormulateCommand(path);
	}
}

void CUIRegsvr32Dlg::OnAction() 
{
	CStringArray arr;
	arr.SetSize(0,1);
	int iCount = m_list.GetCount();
	for (int i=0; i<iCount ;i++) {
		while (i<0) i++;
		int bSelected = m_list.GetSel(i);
		if ((bSelected>0) && (bSelected!=LB_ERR)) {
			CString str;
			m_list.GetText( i , str);
			if (!str.IsEmpty())		arr.Add(str);
		}
	}
	if (arr.GetSize()>0)
		FormulateCommand(arr);
}



